=== debian/changelog ===
librime (1.6.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #971826)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 11:28:25 -0500

librime (1.6.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release 1.6.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Dec 2020 22:47:36 -0500
