=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,25 @@
 set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
 
 # work around CMake build issues on macOS
-aux_source_directory(. rime_plugins_src)
+set(rime_plugin_boilerplate_src "plugin.cc")
+
+set(plugins_module_src "plugins_module.cc")
 
 unset(plugins_objs)
 unset(plugins_deps)
 unset(plugins_modules)
+
+if(ENABLE_EXTERNAL_PLUGINS)
+  add_library(rime-plugins-objs OBJECT ${plugins_module_src})
+  if(BUILD_SHARED_LIBS)
+    set_target_properties(rime-plugins-objs
+      PROPERTIES
+      POSITION_INDEPENDENT_CODE ON)
+  endif()
+
+  set(plugins_objs ${plugins_objs} $<TARGET_OBJECTS:rime-plugins-objs>)
+  set(plugins_modules ${plugins_modules} "plugins")
+endif()
 
 if(DEFINED ENV{RIME_PLUGINS})
   set(plugins $ENV{RIME_PLUGINS})
@@ -38,12 +52,12 @@
     set(plugins_modules ${plugins_modules} ${plugin_modules})
   else()
     message(STATUS "Plugin ${plugin_name} provides modules: ${plugin_modules}")
-    add_library(${plugin_name} ${rime_plugins_src} ${plugin_objs})
+    add_library(${plugin_name} ${rime_plugin_boilerplate_src} ${plugin_objs})
     target_link_libraries(${plugin_name} ${plugin_deps})
     if(XCODE_VERSION)
       set_target_properties(${plugin_name} PROPERTIES INSTALL_NAME_DIR "@rpath")
     endif(XCODE_VERSION)
-    install(TARGETS ${plugin_name} DESTINATION ${LIB_INSTALL_DIR})
+    install(TARGETS ${plugin_name} DESTINATION ${RIME_PLUGINS_DIR})
   endif()
 endforeach(plugin)
