=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,9 @@
 set(rime_optional_deps "")
 if(Gflags_FOUND)
   set(rime_optional_deps ${rime_optional_deps} ${Gflags_LIBRARY})
+endif()
+if(ENABLE_EXTERNAL_PLUGINS)
+  set(rime_optional_deps ${rime_optional_deps} dl)
 endif()
 
 set(rime_core_deps
@@ -78,7 +81,7 @@
   if(XCODE_VERSION)
     set_target_properties(rime PROPERTIES INSTALL_NAME_DIR "@rpath")
   endif()
-  install(TARGETS rime DESTINATION ${LIB_INSTALL_DIR})
+  install(TARGETS rime DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
 
   if(BUILD_SEPARATE_LIBS)
     add_library(rime-dict ${rime_dict_module_src})
@@ -91,7 +94,7 @@
     if(XCODE_VERSION)
       set_target_properties(rime-dict PROPERTIES INSTALL_NAME_DIR "@rpath")
     endif()
-    install(TARGETS rime-dict DESTINATION ${LIB_INSTALL_DIR})
+    install(TARGETS rime-dict DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
 
     add_library(rime-gears ${rime_gears_src})
     target_link_libraries(rime-gears
@@ -104,7 +107,7 @@
     if(XCODE_VERSION)
       set_target_properties(rime-gears PROPERTIES INSTALL_NAME_DIR "@rpath")
     endif()
-    install(TARGETS rime-gears DESTINATION ${LIB_INSTALL_DIR})
+    install(TARGETS rime-gears DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
 
     add_library(rime-levers ${rime_levers_src})
     target_link_libraries(rime-levers
@@ -117,7 +120,7 @@
     if(XCODE_VERSION)
       set_target_properties(rime-levers PROPERTIES INSTALL_NAME_DIR "@rpath")
     endif()
-    install(TARGETS rime-levers DESTINATION ${LIB_INSTALL_DIR})
+    install(TARGETS rime-levers DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
 
     if(rime_plugins_library)
       add_library(rime-plugins
@@ -134,12 +137,12 @@
       if(XCODE_VERSION)
         set_target_properties(rime-plugins PROPERTIES INSTALL_NAME_DIR "@rpath")
       endif()
-      install(TARGETS rime-plugins DESTINATION ${LIB_INSTALL_DIR})
+      install(TARGETS rime-plugins DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
     endif()
   endif()
 else()
   add_library(rime-static STATIC ${rime_src})
   target_link_libraries(rime-static ${rime_deps})
   set_target_properties(rime-static PROPERTIES OUTPUT_NAME "rime" PREFIX "lib")
-  install(TARGETS rime-static DESTINATION ${LIB_INSTALL_DIR})
+  install(TARGETS rime-static DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
 endif()
