=== debian/changelog ===
librime (1.7.3+dfsg3-2build2) jammy; urgency=medium

  * No-change rebuild against libcapnp-0.8.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 21:48:39 +0000

librime (1.7.3+dfsg3-2build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:02:37 +0100

librime (1.7.3+dfsg3-2) unstable; urgency=medium

  * Source-only upload.
  * debian/upstream/metadata: Add metadata file.
  * debian/control: Drop Multi-Arch: same field from package librime-dev.
    /usr/include/rime/build_config.h contains arch-dependent information.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jan 2022 14:29:12 -0500

librime (1.7.3+dfsg3-1) unstable; urgency=medium

  * Include source code for more extensions:
    + librime-charcode
    + librime-octagram
  * Add new binary packages accordingly:
    + librime-plugin-charcode
    + librime-plugin-octagram
  * debian/copyright: Updated accordingly.
  * debian/control: Let librime1 recommend installation of plugins.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 16:45:14 -0500

librime (1.7.3+dfsg2-1) unstable; urgency=medium

  * Include source code for librime-lua extension.
  * debian/control: Add new binary package librime-plugin-lua.
  * debian/rules: Update plugin logic accordingly.
  * debian/librime-plugin-lua.lintian-overrides:
    + Also override lintian shared-library-is-executable.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 16:12:48 -0500

librime (1.7.3+dfsg1-2) unstable; urgency=medium

  * librime-bin: Install custom helper script debian-rime-processor
    into /usr/bin/ to help with future build of RIME schemas.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Dec 2021 21:57:06 -0500

librime (1.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.7.3+dfsg1.
  * debian/librime1.shlibs: Limit to latest build.
  * Bump Standards-Version to 4.6.0.
  * debian/control: Require cmake 3.10+.
  * debian/rules: Enable external plugin loading.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Oct 2021 23:43:21 -0400
