=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: librime
 Section: libs
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
@@ -11,7 +12,8 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  capnproto,
- cmake (>= 3.0.2),
+ cmake (>= 3.10),
+ darts,
  debhelper-compat (= 13),
  libboost-dev,
  libboost-filesystem-dev,
@@ -22,14 +24,16 @@
  libcapnp-dev,
  libgoogle-glog-dev,
  libleveldb-dev,
+ liblua5.4-dev,
  libmarisa-dev,
  libopencc-dev (>= 1.1~),
+ libxcb-keysyms1-dev,
  libyaml-cpp-dev (>= 0.6.3-7~),
  pkg-config,
  x11proto-core-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rime/librime
 Vcs-Git: https://salsa.debian.org/input-method-team/librime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/librime
@@ -57,7 +61,6 @@
 
 Package: librime-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends:
  librime1 (<< ${source:Upstream-Version}.0~),
@@ -81,6 +84,70 @@
  .
  This package provides the development files of RIME.
 
+Package: librime-plugin-charcode
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Multi-Arch: same
+Homepage: https://github.com/rime/librime-charcode
+Description: Rime Input Method Engine - charcode plugin
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides charcode plugin for RIME. It can be used for codepoint
+ translation and charset filtering.
+
+Package: librime-plugin-lua
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Multi-Arch: same
+Homepage: https://github.com/hchunhui/librime-lua
+Description: Rime Input Method Engine - Lua extension plugin
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides lua extension plugin for RIME with the following
+ features:
+ .
+   * Supports extending RIME processors, segmentors, translators and filters
+   * Provides high-level programming model for translators and filters
+   * Loaded dynamically as a librime plugin
+
+Package: librime-plugin-octagram
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Multi-Arch: same
+Homepage: https://github.com/lotem/librime-octagram
+Description: Rime Input Method Engine - octagram plugin
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ .
+ This package provides octagram plugin for RIME. It provides extra functionality
+ in grammar checking.
+
 Package: librime1
 Architecture: any
 Depends:
@@ -90,6 +157,9 @@
 Recommends:
  librime-bin,
  librime-data (>= 0.38),
+ librime-plugin-charcode,
+ librime-plugin-lua,
+ librime-plugin-octagram,
 Description: Rime Input Method Engine - core library
  RIME is the acronym of Rime Input Method Engine.
  .
