=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,21 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
+	cp -r ./librime-lua ./plugins/lua
+	cp -r ./librime-octagram ./plugins/octagram
+	cp -r ./librime-charcode ./plugins/charcode
 	dh_auto_configure -Scmake -- \
 	    -DCMAKE_BUILD_TYPE=Release \
+	    -DINSTALL_PRIVATE_HEADERS=ON \
+	    -DENABLE_EXTERNAL_PLUGINS=ON \
 	    -DBOOST_USE_CXX11=ON \
-	    -DBUILD_TEST=OFF
+	    -DBUILD_TEST=OFF \
+	    -DBUILD_MERGED_PLUGINS=Off \
+	    -DENABLE_EXTERNAL_PLUGINS=On
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
+
+execute_after_dh_fixperms:
+	# https://github.com/rime/librime/issues/520
+	chmod 755 $(CURDIR)/debian/*/usr/lib/*/rime-plugins/*.so
