=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d?$//,compression=xz,repack,repacksuffix=+dfsg3" \
 https://github.com/rime/librime/tags .*/(\d[\d\.]+)\.tar\.gz debian uupdate
opts="component=librime-lua,mode=git,pgpmode=none" \
 https://github.com/hchunhui/librime-lua HEAD ignore
opts="component=librime-charcode,mode=git,pgpmode=none" \
 https://github.com/rime/librime-charcode HEAD ignore
opts="component=librime-octagram,mode=git,pgpmode=none" \
 https://github.com/lotem/librime-octagram HEAD ignore
