## librime 1.7.3+dfsg4

=== debian/changelog ===
librime (1.7.3+dfsg4-2) unstable; urgency=medium

  * Rebuild against opencc 1.1.4.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jun 2022 20:30:44 -0400

librime (1.7.3+dfsg4-1) unstable; urgency=medium

  * debian/rules: Use individual binary package version strings for
    plugin packages via dh_gencontrol.
  * Update plugins to latest git snapshot:
    + charcode: 20220204
    + lua: 20220206
    + octogram: 20210816

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 11:27:41 -0400
