=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 # See dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  =
+
+include /usr/share/dpkg/default.mk
+
+# For individual package versions
+REV_CHARCODE = 20220204
+REV_LUA = 20220206
+REV_OCTAGRAM = 20210816
+
+_DEB_VERSION_REVISION = $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//g')
 
 %:
 	dh $@ --buildsystem=cmake
@@ -26,3 +35,13 @@
 execute_after_dh_fixperms:
 	# https://github.com/rime/librime/issues/520
 	chmod 755 $(CURDIR)/debian/*/usr/lib/*/rime-plugins/*.so
+
+# Individual version number for librime-plugin-*
+override_dh_gencontrol:
+	dh_gencontrol -plibrime-plugin-charcode -- \
+	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_CHARCODE)-$(_DEB_VERSION_REVISION)
+	dh_gencontrol -plibrime-plugin-lua -- \
+	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_LUA)-$(_DEB_VERSION_REVISION)
+	dh_gencontrol -plibrime-plugin-octagram -- \
+	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_OCTAGRAM)-$(_DEB_VERSION_REVISION)
+	dh_gencontrol --remaining-packages
