=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 version=4
-opts="dversionmangle=s/\+dfsg\d?$//,compression=xz,repack,repacksuffix=+dfsg3" \
+opts="dversionmangle=s/\+dfsg\d?$//,compression=xz,repack,repacksuffix=+dfsg4" \
  https://github.com/rime/librime/tags .*/(\d[\d\.]+)\.tar\.gz debian uupdate
 opts="component=librime-lua,mode=git,pgpmode=none" \
  https://github.com/hchunhui/librime-lua HEAD ignore
